package cn.pluss.platform.channel;

import cn.pluss.platform.entity.JftMercPaymentChannel;
import cn.pluss.platform.entity.MerchantChannelStatus;
import com.alibaba.fastjson.JSONObject;

/**
 * 商户协议相关功能
 * @author djh
 */
public interface MerchProtocolService {

    /**
     * 请求签约状态，若未发起签约，则发起签约
     * @param mcs   商户通道信息
     * @return  预留返回值，根据具体的业务需求，选择使用
     */
    default JSONObject reqMerProtocolStatus(MerchantChannelStatus mcs) {
        return null;
    }

    /**
     * 请求发起签约
     * @param mcs   商户通道信息
     * @return  预留返回值，根据具体的业务需求，选择使用
     */
    default JSONObject sendProtocolMsg(MerchantChannelStatus mcs) {
        return null;
    }

    /**
     * 请求签约状态，若未发起签约，则发起签约
     * @param jpc   商户通道信息
     * @return  预留返回值，根据具体的业务需求，选择使用
     */
    default JSONObject reqMerProtocolStatus(JftMercPaymentChannel jpc) {
        return null;
    }

    /**
     * 请求发起签约
     * @param jpc   商户通道信息
     * @return  预留返回值，根据具体的业务需求，选择使用
     */
    default JSONObject sendProtocolMsg(JftMercPaymentChannel jpc) {
        return null;
    }

}
